# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLMetaElement Class Reference

This contains generic meta-information about the document. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLMetaElement:

[legend]
Collaboration diagram for DOM::HTMLMetaElement:

[legend]
List of all members.

## Public Member Functions

| HTMLMetaElement (const HTMLMetaElement &other)
| HTMLMetaElement (const Node &other)
HTMLMetaElement & | operator= (const HTMLMetaElement &other)
HTMLMetaElement & | operator= (const Node &other)
DOMString | content () const
void | setContent (const DOMString &)
DOMString | httpEquiv () const
void | setHttpEquiv (const DOMString &)
DOMString | name () const
void | setName (const DOMString &)
DOMString | scheme () const
void | setScheme (const DOMString &)

## Protected Member Functions

| HTMLMetaElement (HTMLMetaElementImpl *impl)

## Detailed Description

This contains generic meta-information about the document.

See the META element definition in HTML 4.0.

Definition at line 256 of file html_head.h.

## Member Function Documentation

DOMString HTMLMetaElement::content | ( |  | ) | const

| Associated information. See the content attribute definition in HTML 4.0. Definition at line 249 of file html_head.cpp.

void HTMLMetaElement::setContent | ( | const DOMString & |  | ) |

| see content Definition at line 255 of file html_head.cpp.

DOMString HTMLMetaElement::httpEquiv | ( |  | ) | const

| HTTP response header name. See the http-equiv attribute definition in HTML 4.0. Definition at line 260 of file html_head.cpp.

void HTMLMetaElement::setHttpEquiv | ( | const DOMString & |  | ) |

| see httpEquiv Definition at line 266 of file html_head.cpp.

DOMString HTMLMetaElement::name | ( |  | ) | const

| Meta information name. See the name attribute definition in HTML 4.0. Definition at line 271 of file html_head.cpp.

void HTMLMetaElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 277 of file html_head.cpp.

DOMString HTMLMetaElement::scheme | ( |  | ) | const

| Select form of content. See the scheme attribute definition in HTML 4.0. Definition at line 282 of file html_head.cpp.

void HTMLMetaElement::setScheme | ( | const DOMString & |  | ) |

| see scheme Definition at line 288 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003